/****************************************************************************/
/*                         SQL Server Internals v3                          */
/*                           Training Materials                             */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                        Locking and Blocking                              */
/*                          RCSI (Session 2)                                */
/****************************************************************************/

use SQLServerInternals
go

set nocount on
go

-- Read Committed
set transaction isolation level read committed
select * from dbo.SmallRow where ID between 90 and 100
go

set transaction isolation level read committed
begin tran
	update dbo.SmallRow set CharField = 'a' where IntField = 1
rollback
go
