/****************************************************************************/
/*                         SQL Server Internals v3                          */
/*                           Training Materials                             */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                        Locking and Blocking                              */
/*                     (X) and (U) Locks Behavior                           */
/****************************************************************************/

use SQLServerInternals
go

-- clean up
alter database SQLServerInternals set single_user with rollback immediate
alter database SQLServerInternals set read_committed_snapshot off
alter database SQLServerInternals set allow_snapshot_isolation on
alter database SQLServerInternals set multi_user 
go


set nocount on
go

-- Open SQL Profiler/xEvents with the following events:
-- Locks:\Lock Acquired, Locks:\Lock Released
-- Set filter for SPID
begin tran
	update dbo.SmallRow set CharField = 'a' where ID = 1000
	update dbo.SmallRow set CharField = 'a' where ID = 10000
rollback
go

begin tran
	update dbo.SmallRow set CharField = 'a' where IntField = 100
	

rollback