/****************************************************************************/
/*                         SQL Server Internals v3                          */
/*                           Training Materials                             */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                        Locking and Blocking                              */
/*                        Deadlocks (Session 1)                             */
/****************************************************************************/

use SQLServerInternals
go

set nocount on
go

set transaction isolation level read committed
begin tran
	update dbo.SmallRow set CharField = 'a' where ID = 1
	-- Run session 2 code
	select * from dbo.SmallRow where IntField = 2
commit
