/****************************************************************************/
/*                         SQL Server Internals v3                          */
/*                           Training Materials                             */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                        Locking and Blocking                              */
/*                        Snapshot (Session 2)                              */
/****************************************************************************/

use SQLServerInternals
go

set nocount on 
go

set transaction isolation level read committed
select * from dbo.SmallRow where ID between 90 and 100
go

set transaction isolation level snapshot
select * from dbo.SmallRow where ID between 90 and 100
go

set transaction isolation level snapshot
begin tran
	select * from dbo.SmallRow where ID between 90 and 100
	
	update dbo.SmallRow set CharField = 'Placeholer' where IntField = 500

	update dbo.SmallRow set CharField = 'Placeholer' where ID = 100
rollback
go

-- Different Behavior
set transaction isolation level read committed
--set transaction isolation level snapshot
begin tran
	update dbo.Colors
	set Color = 'Black'
	where Color = 'White'
commit
go