/****************************************************************************/
/*                         SQL Server Internals v3                          */
/*                           Training Materials                             */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                        Locking and Blocking                              */
/*                         Version Store Usage                              */
/****************************************************************************/

select 
	*
from 
	sys.dm_os_performance_counters with (nolock)
where 
	counter_name in ('Version Store Size (KB)')
option (maxdop 1, recompile)