/****************************************************************************/
/*                         SQL Server Internals v3                          */
/*                           Training Materials                             */
/*                                                                          */
/*                  Written by Dmitri V. Korotkevitch                       */
/*                      http://aboutsqlserver.com                           */
/*                        dk@aboutsqlserver.com                             */
/****************************************************************************/
/*                        Locking and Blocking                              */
/*                       Schema Locks (Session 1)                           */
/****************************************************************************/

use SQLServerInternals
go

set transaction isolation level read uncommitted
begin tran
	alter table dbo.Positions add Dummy int null
	select * from sys.dm_tran_locks where request_session_id = @@SPID
	-- run session 2 code
rollback
go